LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XShapeBinder Interface Referencepublished

connects or breaks the lines of Shapes More...

`import"XShapeBinder.idl";`

Inheritance diagram for XShapeBinder:

## Public Member Functions
com::sun::star::drawing::XShape | bind ([in] com::sun::star::drawing::XShapes xShapes)
| binds Shapes together. More...
void | unbind ([in] com::sun::star::drawing::XShape xShape)
| breaks a Shape into its line segments More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

connects or breaks the lines of Shapes

## Member Function Documentation

## ◆ bind()

com::sun::star::drawing::XShape bind | ( | [in] com::sun::star::drawing::XShapes | xShapes | ) |

binds Shapes together.

Parameters

  xShapes | a container with Shapes that will be bind together. All Shapes will be converted to a PolyPolygonBezierShape and the lines will be connected. The Shapes in xShape will be removed from the GenericDrawPage and disposed.

Returns
  a newly created PolyPolygonBezierShape which contains all line segment from the supplied Shapes. It is also added to the GenericDrawPage of the source Shapes.

## ◆ unbind()

void unbind | ( | [in] com::sun::star::drawing::XShape | xShape | ) |

breaks a Shape into its line segments

Parameters

  xShape | the given Shape will be converted to a PolyPolygonBezierShape and the line segments of this Shape will be used to create new PolyPolygonBezierShape shapes. The original Shape will be removed from its GenericDrawPage and disposed.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeBinder.idl